<?php
/**
 * @package Theme1
 * @version 5.7
 */
/*
Plugin Name: ResOnline Booking Button
Plugin URI: http://www.technosoftwares.com
Description: ResOnline Online Booking Plugin
Author: Technosoftwares.in
Version: 4.0
Author URI: http://www.technosoftwares.com
*/

add_action ( 'admin_menu', 'bookingppage' );

function booking_options() {
	if (isset ( $_GET ['Listing'] )) {
		require ('booking_listing.php');
	} else
		require ('booking_options.php');

}

function bookingppage() {
	add_options_page ( 'Bookings', 'Bookings', 'administrator', 'Bookings', 'booking_options' );
	
	global $wpdb;
	
	$table_name = $wpdb->prefix . "booking";
	
	$sql = "CREATE TABLE " . $table_name . " (
  `id` mediumint(9) NOT NULL auto_increment,
  `bookingName` varchar(200) NOT NULL default '',
  `autoTickedNights` tinyint(1) default NULL,
  `primaryColor` varchar(10) default NULL,
  `secondaryColor` varchar(10) default NULL,
  `bookingButtonMode` tinyint(1) default NULL,
  `dayOffset` int(5) default NULL,
  `defaultAdults` int(5) default NULL,
  `defaultChildren` int(5) default NULL,
  `defaultCurrency` varchar(10) default NULL,
  `defaultDate` varchar(20) default NULL,
  `defaultDaysOut` int(5) default NULL,
  `defaultGridColumns` int(5) default NULL,
  `defaultNights` int(5) default NULL,
  `hotelID` int(5) default NULL,
  `errorUrl` varchar(300) default NULL,
  `gridLabel` varchar(30) default NULL,
  `inSiteCheck` varchar(30) default NULL,
  `layout` varchar(50) default NULL,
  `maxAdults` int(5) default NULL,
  `maxChildren` int(5) default NULL,
  `maxImages` int(5) default NULL,
  `maxNights` int(5) default NULL,
  `minNights` int(5) default NULL,
  `minNightsFilter` int(5) default NULL,
  `multiPropsExpanded` tinyint(1) default NULL,
  `multiPropsInfoLink` tinyint(1) default NULL,
  `multiPropsOneGrid` tinyint(1) default NULL,
  `newWindow` tinyint(1) default NULL,
  `privateApartment` tinyint(1) default NULL,
  `promoteSpecials` tinyint(1) default NULL,
  `ratePlanFilter` tinyint(1) default NULL,
  `separateGrid` varchar(50) default NULL,
  `showCurrency` tinyint(1) default NULL,
  `showGrid` tinyint(1) default NULL,
  `showImage` tinyint(1) default NULL,
  `showInclusions` tinyint(1) default NULL,
  `showPropertyDetails` tinyint(1) default NULL,
  `showRoomTypeDetails` varchar(50) default NULL,
  `specialsOnly` tinyint(1) default NULL,
  `specificRatePlan` varchar(50) default NULL,
  `useAnalytics` varchar(100) default NULL,
  `webID` int(5) default NULL,
  UNIQUE KEY `id` (`id`)
) ;";
	require_once (ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta ( $sql );

}

function displayGadget($atts, $content = null) {
	$booking = $atts ['name'];
	$return_value = '<div id="bookHeader">'.$booking.'</div>';
	global $wpdb;
	$table_name = $wpdb->prefix . "booking";
	
	$select_query = "SELECT * from  " . $table_name . " where bookingName = '" . $booking . "'";
	
	$results = $wpdb->get_results ( $select_query );
	
	if (sizeof ( $results ) > 0) {
		$result = $results [0];
		
		$return_value .= '<div id="bookings"><script src="http://gadgets.securetravelpayments.com/_shared/base.jsz" type="text/javascript"></script>';
		$return_value .= '<script src="http://gadgets.securetravelpayments.com/room-types/room-types.jsz" type="text/javascript"></script>';
		$return_value .= '<link rel="stylesheet" href="http://gadgets.securetravelpayments.com/_shared/css/all.cssz" type="text/css" />';
		
		$return_value .= '<div id="bookGrid"></div> ';
		$return_value .= '<div id="bookBody"></div> ';
		$return_value .= '<div id="bookRoomTypes"></div> ';
		$return_value .= '<script type="text/javascript"> $w(\'#bookGrid\').roomTypesGadget({ ';
		//$tb_count = $atts['tabs'];
		

		$bookingOptions = '';
		foreach ( $result as $key => $value ) {
			
			if ($value != '' && $key != 'id' && $key != 'bookingName') {
				if ($bookingOptions != '')
					$bookingOptions .= ',';
				$bookingOptions .= "$key : ";
				if ($value == 0)
					$bookingOptions .= 'false';
				else if ($value == 1)
					$bookingOptions .= 'true';
				else
					$bookingOptions .= "$value";
			}
		
		}
		$return_value .= $bookingOptions;
		$return_value .= '});</script></div>';
	
	}
	return $return_value;
}
add_shortcode ( 'booking', 'displayGadget' );